oracle.kv.table

## Enum FieldDef.Type

- java.lang.Object
- - java.lang.Enum<FieldDef.Type>
  - - oracle.kv.table.FieldDef.Type

- All Implemented Interfaces:
    Serializable, Comparable<FieldDef.Type>
  Enclosing interface:
    FieldDef

      public static enum FieldDef.Type
      extends Enum<FieldDef.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARRAY`
    `BINARY`
    `BOOLEAN`
    `DOUBLE`
    `ENUM`
    `FIXED_BINARY`
    `FLOAT`
    `INTEGER`
    `LONG`
    `MAP`
    `RECORD`
    `STRING`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FieldDef.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FieldDef.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ARRAY

          public static final FieldDef.Type ARRAY

    - #### BINARY

          public static final FieldDef.Type BINARY

    - #### BOOLEAN

          public static final FieldDef.Type BOOLEAN

    - #### DOUBLE

          public static final FieldDef.Type DOUBLE

    - #### ENUM

          public static final FieldDef.Type ENUM

    - #### FIXED_BINARY

          public static final FieldDef.Type FIXED_BINARY

    - #### FLOAT

          public static final FieldDef.Type FLOAT

    - #### INTEGER

          public static final FieldDef.Type INTEGER

    - #### LONG

          public static final FieldDef.Type LONG

    - #### MAP

          public static final FieldDef.Type MAP

    - #### RECORD

          public static final FieldDef.Type RECORD

    - #### STRING

          public static final FieldDef.Type STRING

  - ### Method Detail

    - #### values

          public static FieldDef.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FieldDef.Type c : FieldDef.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FieldDef.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright (c) 2011, 2014 Oracle and/or its affiliates. All rights reserved.